MooX::MethodProxyArgs(3pm)

NAME
MooX::MethodProxyArgs - Invoke code to populate static arguments.

SYNOPSIS
    package Foo;
    use Moo;
    with 'MooX::MethodProxyArgs';
    has bar => (
        is => 'ro',
    );

    package main;

    sub divide {
        my ($class, $number, $divisor) = @_;
        return $number / $divisor;
    }

    my $foo = Foo->new( bar => ['$proxy', 'main', 'divide', 10, 2 ] );

    print $foo->bar(); # 5

DESCRIPTION
This module munges the class's input arguments by replacing any method proxy values found with the result of calling the methods.

This is done using Data::MethodProxy. See that module for more information on how method proxies work.

SEE ALSO

•   MooX::BuildArgs

•   MooX::BuildArgsHooks

•   MooX::Rebuild

•   MooX::SingleArg

SUPPORT
See "SUPPORT" in MooX::BuildArgs.

AUTHORS
See "AUTHORS" in MooX::BuildArgs.

LICENSE
See "LICENSE" in MooX::BuildArgs.